unit Unit1;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Bcptwain, ExtCtrls, ClipBrd;

type
  TForm1 = class(TForm)
    BCPTwainDSM1: TBCPTwainDSM;
    BCPTwainScanner1: TBCPTwainScanner;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    Button5: TButton;
    Panel1: TPanel;
    RadioButton1: TRadioButton;
    RadioButton2: TRadioButton;
    Panel2: TPanel;
    RadioButton3: TRadioButton;
    RadioButton4: TRadioButton;
    Panel3: TPanel;
    Image1: TImage;
    CheckBox1: TCheckBox;
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure RadioButton2Click(Sender: TObject);
    procedure RadioButton1Click(Sender: TObject);
    procedure RadioButton3Click(Sender: TObject);
    procedure RadioButton4Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button2Click(Sender: TObject);
begin
  BCPTwainScanner1.GetVersion;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  BCPTwainScanner1.AcquireTo := ScanToClipbrd;
  BCPTwainScanner1.Scan;
  if Clipboard.HasFormat(CF_BITMAP) then
    Image1.Picture.Assign(Clipboard);
end;

procedure TForm1.Button4Click(Sender: TObject);
var
  fName : String;
begin
  fName := ExtractFilePath(Application.Name);
  if Length(fName) > 1 then
    fName := fName + '\';
  fName := fName + 'TEMP.BMP';

  BCPTwainScanner1.ScanFileName := fName;
  BCPTwainScanner1.AcquireTo := ScanToFile;
  BCPTwainScanner1.Scan;
end;

procedure TForm1.Button5Click(Sender: TObject);
begin
  BCPTwainScanner1.AcquireTo := ScanToFileAsk;
  BCPTwainScanner1.Scan;
end;

procedure TForm1.RadioButton2Click(Sender: TObject);
begin
  BCPTwainScanner1.ScanColorType := TWCT_RGB;
end;

procedure TForm1.RadioButton1Click(Sender: TObject);
begin
  BCPTwainScanner1.ScanColorType := TWCT_BW;
end;

procedure TForm1.RadioButton3Click(Sender: TObject);
begin
  BCPTwainScanner1.XResolution := 300;
  BCPTwainScanner1.YResolution := 300;
end;

procedure TForm1.RadioButton4Click(Sender: TObject);
begin
  BCPTwainScanner1.XResolution := 200;
  BCPTwainScanner1.YResolution := 100;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  Application.Terminate;
end;

procedure TForm1.CheckBox1Click(Sender: TObject);
begin
  if CheckBox1.Checked then
    BCPTwainScanner1.ShowScanInterface := True
  else
    BCPTwainScanner1.ShowScanInterface := False;
end;

end.
